[android-components](../../index.md) / [mozilla.components.lib.crash.prompt](../index.md) / [CrashReporterActivity](./index.md)

# CrashReporterActivity

`class CrashReporterActivity : AppCompatActivity` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/lib/crash/src/main/java/mozilla/components/lib/crash/prompt/CrashReporterActivity.kt#L32)

Activity showing the crash reporter prompt asking the user for confirmation before submitting a crash report.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `CrashReporterActivity()`<br>Activity showing the crash reporter prompt asking the user for confirmation before submitting a crash report. |

### Functions

| Name | Summary |
|---|---|
| [onBackPressed](on-back-pressed.md) | `fun onBackPressed(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
| [onCreate](on-create.md) | `fun onCreate(savedInstanceState: <ERROR CLASS>?): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
